Subject: Re: Question about Protocol Version

From: Tom-PT Taylor <[email-masked]>
Date: Thu, 27 Jan 2000 10:10:33 -0500

We've been having a quiet debate over whether we should have minor versions
-- it seems rather pointless.  Anyway, it seems reasonable to call this
version 1.  There should be a note to this effect in either section 8.3 or
the syntax annexes.

> -----Original Message-----
> From: Jo Friedman [SMTP:[email-masked]]
> Sent: Tuesday, January 25, 2000 9:58 AM
> To:   [email-masked]
> Subject:      Re: Question about Protocol Version
>
> Sorry my question wasn't clear. What I meant to ask is what value is
> assigned to version for the current spec? I.e., should the version in my
> transaction header be 0.1 or 1.0 or ? For example, the MGCP spec has a
> section called "Coding of the protocol version".
>
> Jo
>
> "Rosen, Brian" wrote:
>
>        In every transaction header Brian
>
>               -----Original Message-----
>               From: Jo Friedman [ <mailto:[email-masked]>]
>               Sent: Monday, January 24, 2000 12:33 PM
>               To: [email-masked]
>               Subject: Re: Question about Protocol Version Negaotiation
>
>               I have a simple, related question. Where is the current
> MEGACO protocol version identified in the spec? Seems like this is
> missing.
>
>               Tom-PT Taylor wrote:
>
>
>
>                       At this point our only backward compatibility
> mechanism is the fallback to earlier version.
>
>                       You make a good point: there is no message by which
> the MG can reject the fallback.  The answer, it seems to me, is that it
> doesn't send one -- it simply doesn't follow up on its original message
> and rejects any command the MGC tries to send it.  If it connected to the
> MGC (e.g. via TCP) it breaks the connection.
>
>                               -----Original Message-----
>                       From:   Qiu Xiuping
> [SMTP:[email-masked]]
>                       Sent:   Saturday, January 22, 2000 9:51 AM
>                       To:     [email-masked]
>                       Subject:        Question about Protocol Version
> Negaotiation
>
>                               Hi, All.
>
>                               In 11.3 Negotiation of Protocol Version
>
>                               1. The first ServiceChange command from MG
> contains a version number .
>                       2. MGC supports only a lower version, then the MGC
> sends a ServiceChangeReply with the lower version . 3. If the MG is unable
> to comply, it will reject the association, with Error 406 Version Not
> Supported.
>
>                               I wonder what command will MG use in step 3
> .
>                       Will it be notify? but there is no EventDescriptor.
>                       And is it a TransactionRequest , but it is with
> Error code.
>                       IMO, error code is together with TransactionReply
> but not TransactionRequest ?
>
>                               And another question, I remember it says
> that MEGACO/H.248 will be compatible backwards somewhere.
>                       Then  if both MG and MGC use the lower version, why
> there  still exists complying problem.
>
>                               Regards,
>                       Xiuping Qiu
>                       _______________________________________________
>
>                               Xiuping Qiu
>                       Huawei Technologies Co., Ltd.
>                       Mail to   [email-masked]
>                       Visit     <http://www.huawei.com.cn>
>                       _______________________________________________
>